## BLOGTOOL is a non-bloated static site generator.

There are no themes. You write a project structure like this:
```
myblog
|
|-> articles
|   |-> article1.md
|   |-> article2.md
|-> assets
|   |-> article1.jpg
|   |-> photo.png
|-> about.md
|-> styles.css
```
with utf-8 encoded articles. Blogtool generates a static site in dist/ with a list of articles for the home page, an about page from about.md, each page will include styless.css and all assets will be available at /static. Dashes (-) will be replaced with spaces in the index.
```
dist
|
|-> index.html
|-> static
|   |-> article1.jpg
|   |-> photo.png
|   |-> styles.css
|-> article1.html
|-> article2.html
|-> about.html
```

You can build blogtool by running `make && sudo make install`. Invoke blogtool by running `blogtool` in the project directory. There are no options. You can copy /etc/blogtool/base.html to the project root and make changes to overwrite the template, as long as the string "## CONTENT\n" is in the template somewhere, as that will be replaced with the article or about page.